package com.liquidnet.client.admin.zhengzai.sweet.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.service.sweet.dto.param.admin.SweetIntegralActivityFromParam;
import com.liquidnet.service.sweet.dto.param.admin.SweetIntegralActivityListSearchParam;
import com.liquidnet.service.sweet.dto.vo.admin.SweetIntegralActivityVo;
import com.liquidnet.service.sweet.entity.SweetIntegralActivity;

/**
 * <p>
 * 积分活动表 服务类
 * </p>
 *
 * @author jiangxiulong
 * @since 2021-10-20
 */
public interface ISweetIntegralActivityService extends IService<SweetIntegralActivity> {

    PageInfo<SweetIntegralActivity> list(SweetIntegralActivityListSearchParam listParam);

    Integer isOnline(String integralActivityId, Integer isOnline);

    SweetIntegralActivityVo detail(String integralActivityId);

    Integer createForm(SweetIntegralActivityFromParam param);

    Integer updateForm(SweetIntegralActivityFromParam param);
}
